clear all
clc
clf
disp(' ');disp(' ')
[expdata,adr] = uigetfile('*.dat','Vyber vstupneho suboru'); % Vyber datoveho suboru
file=['data=load(expdata);'];% Otvorenie datoveho suboru 
eval(file);
disp(' Copyright (c) 2006 by L. Sevcovic, Kat. fyziky, FEI TU v Kosiciach')
disp(' ')
%nazovgrf=input(' Napiste nazov grafu: ','s');
%nazovx=input(' Napiste nazov x-ovej osi (jednotku prudu nepiste): ','s');
%nazovy=input(' Napiste nazov y-ovej osi (jednotku prudu nepiste): ','s');
%disp(' ')
%disp(' Ked chcete, do plochy grafov mozete vlozit vlastny text');
%disp(' ako poznamku. Kurzor presunte na dane miesto a kliknite.');
%info1=input(' Napiste text do prveho grafu: ','s');
%info2=input(' Napiste text do druheho grafu: ','s');
xdata=eval('data(:,1)');
ydata=eval('data(:,2)');
bxdata=eval('data(1,1)');% alebo xb=min(x)
exdata=eval('data(end,1)');% alebo xe=max(x)
%
xfine = xdata(1):.01:xdata(end);
[a,S] = polyfit(xdata,log(ydata),1);
[fit,D] = polyval(a,xdata,S);
exponent = a(1);
e = exponent*293*1.38e-23;
%
h = axes('Position',[0 0 1 1],'Visible','off','FontSize',12);
axes('Position',[.32 .1 .67 .88],'FontSize',12)
shg
plt = plot(xdata,log(ydata),'sk',xfine,polyval(a,xfine,S),'-','MarkerSize',5,'Color',[0 0 0]);
xlabel('Napatie {\it U}_{EB} (V)','FontSize',12)
ylabel('ln{\it U}_{R}','FontSize',12) %sylabel(['\14\helv ' num2str(nazovy) ''])
rgx=abs(xdata(end)-xdata(1));rgy=abs(log(ydata(end))-log(ydata(1)));% x-y range compute
xlim([xdata(1)-.05*rgx xdata(end)+.05*rgx]);
ylim([log(ydata(1))-.08*rgy log(ydata(end))+.08*rgy]);
set(plt(2),'color','black')
%%
str(1) = {'Regresna funkcia:'};
str(2) = {''};
str(3) = {' ln{\it y} = ln{\it \beta} + {\it\lambda}{\it x}'};
%str(4) = {'With the values:'};
str(5) = {[' {\it \lambda} =',sprintf('%8.3e ',a(1))]};
str(6) = {[' {\it e} =',sprintf('%8.3e ',e) 'C']};
%str(7) = {[' \beta_1 =',sprintf('%8.3e ',p(1))]};
%str(8) = {[' {\it \lambda} =',sprintf('%1.3f ',a(1))]};
%str(9) = {[' \chi^2 =',sprintf('%8.4f ',chi2)]};
str(10) = {[' ',sprintf('%8.4e ',[])]};
set(gcf,'CurrentAxes',h);
text(.005,.6,str,'FontSize',12)
%%