clear all
clc
clf
disp(' ');disp(' ')
[expdata,adr] = uigetfile('*.dat','Vyber vstupneho suboru'); % Vyber datoveho suboru
file=['data=load(expdata);'];% Otvorenie datoveho suboru 
eval(file);
disp(' Copyright (c) 2006 by L. Sevcovic, Kat. fyziky, FEI TU v Kosiciach')
disp(' ')
nazovgrf=input(' Napiste nazov grafu: ','s');
%nazovx=input(' Napiste nazov x-ovej osi: ','s');
%nazovy=input(' Napiste nazov y-ovej osi: ','s');
%
%disp(' ')
%disp(' Ked chcete, do plochy grafov mozete vlozit vlastny text');
%disp(' ako poznamku. Kurzor presunte na dane miesto a kliknite.');
%info1=input(' Napiste text do prveho grafu: ','s');
%info2=input(' Napiste text do druheho grafu: ','s');
%
clf
xdata=eval('data(:,1)');
ydata=eval('data(:,2)');
%%
start = [1e-6 5];
[p,chi2] = fminsearch(@tranzistor,start,[],xdata,ydata);
%%
xfine = xdata(1):.001:xdata(end);
yfine = p(1)*exp(p(2)*xfine);
fit = p(1)*exp(p(2)*xdata);
e=p(2)*293*1.38e-23;
% chi2 = chi_squared(ydata,fit,4,1);
%%
h = axes('Position',[0 0 1 1],'Visible','off','FontSize',12);
axes('Position',[.32 .1 .67 .88],'FontSize',12)
shg
plt = plot(xdata,ydata,'s',xfine,yfine,'-','MarkerSize',5,'Color',[0 0 0]);
title(['' num2str(nazovgrf) '']);
xlabel('Napatie {\it U}_{EB} (V)');
ylabel('Napatie {\it U}_{R} (V)');
%xlabel(['' num2str(nazovx) '']);
%ylabel(['' num2str(nazovy) '']);
%xb=xdata(1);xe=xdata(end);% xb=min(xdata);% xb=eval('data(1,1)');% xe=max(xdata);% xe=eval('data(end,1)');
%yb=ydata(1);ye=ydata(end);
rgx=abs(xdata(end)-xdata(1));rgy=abs(ydata(end)-ydata(1));% x-y range compute
xlim([xdata(1)-.05*rgx xdata(end)+.05*rgx]);
ylim([ydata(1)-.08*rgy ydata(end)+.08*rgy]);
set(plt(2),'color','black')
%%
str(1) = {'Regresna funkcia:'};
str(2) = {''};
str(3) = {'{\it y} = {\it B} e^{{\it D x}}'};
%str(4) = {'With the values:'};
str(5) = {['{\it B} =',sprintf('%8.3e ',p(1))]};
str(6) = {['{\it D} =',sprintf('%8.3e ',p(2))]};
str(7) = {['{\it e} =',sprintf('%8.3e ',e) 'C']};
str(9) = {['{\it \chi^2} =',sprintf('%8.4f ',chi2)]};
str(10) = {['{\it N-P} =',sprintf('%3.0f ',max(size(ydata))-max(size(p)))]};
set(gcf,'CurrentAxes',h);
text(.025,.6,str,'FontSize',12)
%%