clear all
clc
clf
fitabx_e14 % Vypocet odporu vlakna R0 pri izbovej teplote
           % Subor 'fitabx_e14' vola funkciu 'linreg3'
           % Prvy vstupny datovy subor je oznaceny ako 'ui_1.dat'
clc
clf
R0 = a1    % Odpor vlakna pri teplote t = 0 stup. celzia
b = b1
disp(' ');disp(' ')
[expdata,adr] = uigetfile('*.dat','Vyber vstupneho suboru'); % Vyber druheho datoveho suboru
                                                             % je oznaceny ako 'ui_2.dat' 
file=['data=load(expdata);'];% Otvorenie datoveho suboru 
eval(file);
disp(' Copyright (c) 2006 by L. Sevcovic, Kat. fyziky, FEI TU v Kosiciach')
disp(' ')
clf
u=eval('data(8:end,1)');
i=eval('data(8:end,2)');
ub=eval('data(1,1)');% alebo xb=min(x)
ue=eval('data(end,1)');% alebo xe=max(x)
ydata=u.*i;
xdata=((u./i) + R0*(.0048*300 - 1))/(R0*.0048); % alfa = 0.0048 K^(-1)
x2data=xdata-300;
y2data=ydata-(R0*.0048/b)*x2data;
%
xfine = xdata(1):10:xdata(end);
[a,S] = polyfit(log(xdata),log(y2data),1);
[fit,D] = polyval(a,log(xdata),S);
exponent = a(1);
%
h = axes('Position',[0 0 1 1],'Visible','off','FontSize',12);
axes('Position',[.32 .1 .67 .88],'FontSize',12)
shg
plt = plot(log(xdata),log(y2data),'s',log(xdata),polyval(a,log(xdata),S),'-','MarkerSize',5,'Color',[0 0 0]);
xlabel('ln {\it T} (-)','FontSize',12)
ylabel('ln{\it P*} (-)','FontSize',12) %sylabel(['\14\helv ' num2str(nazovy) ''])
rgx=abs(log(xdata(end))-log(xdata(1)));rgy=abs(log(y2data(end))-log(y2data(1)));% x-y range compute
xlim([log(xdata(1))-.05*rgx log(xdata(end))+.05*rgx]);
ylim([log(y2data(1))-.08*rgy log(y2data(end))+.08*rgy]);
set(plt(2),'color','black')
%%
str(1) = {'Regresna funkcia:'};
str(2) = {''};
str(3) = {' ln{\it y} = ln{\it m} +{\it n} ln{\it x}'};
%str(4) = {'With the values:'};
str(5) = {[' {\it n} =',sprintf('%2.3f ',a(1))]};
%str(6) = {[' \beta =',sprintf('%8.3e ',p(3))]};
%str(7) = {[' {\it n} =',sprintf('%1.3f ',a(1))]};
%str(8) = {[' \lambda =',sprintf('%8.3f ',p(4))]};
%str(9) = {[' \chi^2 =',sprintf('%8.4f ',chi2)]};
str(10) = {[' ',sprintf('%8.4e ',[])]};
set(gcf,'CurrentAxes',h);
text(.025,.6,str,'FontSize',12)
%%